function [f fx fy fxp fyp eta R ss set dgam_dtheta deta_dtheta dR_dtheta xlag ylag] = model_prog(param, set)

%Assign parameter values to named variables.
rhoga = param(1);
sigga = param(2);
sigea = param(3);
siges = param(4);
h = param(5);
zeta = param(6);
xi = param(7);
chi = param(8);
thet = param(9);
thetw = param(10);
gampi = param(11);
gamy = param(12);
rhor = param(13);
rhoq = param(14);
sigq = param(15);
me1 = param(16);
me2 = param(17);
me3 = param(18);
me4 = param(19);
me5 = param(20);

%Assign set values to named variables.
lam0 = set(1);
lam1 = set(2);
lam2 = set(3);
adiff = set(4);
approx_deg = set(5);
fullm = set(6);
omeg = set(7);
bet = set(8);
delt = set(9);
GAM = set(10);
psii = set(11);
muw = set(12);
alph = set(13);
gamy2 = set(14);
rhod = set(15);
sigd = set(16);
rhop = set(17);
phip = set(18);
sigp = set(19);
rhow = set(20);
phiw = set(21);
sigw = set(22);
rhog = set(23);
sigg = set(24);
cybar = set(25);
iybar = set(26);
rkpybar = set(27);
kap = set(28);
kapw = set(29);
bllinfo = set(30);
gg0_1_1 = set(31);
gg0_2_1 = set(32);
gg0_1_2 = set(33);
gg0_2_2 = set(34);
gg1_1_1 = set(35);
gg1_2_1 = set(36);
gg1_1_2 = set(37);
gg1_2_2 = set(38);
gg2_1_1 = set(39);
gg2_2_1 = set(40);
gg2_1_2 = set(41);
gg2_2_2 = set(42);
gg3_1_1 = set(43);
gg3_2_1 = set(44);
gg3_1_2 = set(45);
gg3_2_2 = set(46);
gg4_1_1 = set(47);
gg4_2_1 = set(48);
gg4_1_2 = set(49);
gg4_2_2 = set(50);
gg5_1_1 = set(51);
gg5_2_1 = set(52);
gg5_1_2 = set(53);
gg5_2_2 = set(54);
gg_20_1_1 = set(55);
gg_20_2_1 = set(56);
gg_20_3_1 = set(57);
gg_20_4_1 = set(58);
gg_20_5_1 = set(59);
gg_20_1_2 = set(60);
gg_20_2_2 = set(61);
gg_20_3_2 = set(62);
gg_20_4_2 = set(63);
gg_20_5_2 = set(64);
gg_20_1_3 = set(65);
gg_20_2_3 = set(66);
gg_20_3_3 = set(67);
gg_20_4_3 = set(68);
gg_20_5_3 = set(69);
gg_20_1_4 = set(70);
gg_20_2_4 = set(71);
gg_20_3_4 = set(72);
gg_20_4_4 = set(73);
gg_20_5_4 = set(74);
gg_20_1_5 = set(75);
gg_20_2_5 = set(76);
gg_20_3_5 = set(77);
gg_20_4_5 = set(78);
gg_20_5_5 = set(79);
gg_21_1_1 = set(80);
gg_21_2_1 = set(81);
gg_21_3_1 = set(82);
gg_21_4_1 = set(83);
gg_21_5_1 = set(84);
gg_21_1_2 = set(85);
gg_21_2_2 = set(86);
gg_21_3_2 = set(87);
gg_21_4_2 = set(88);
gg_21_5_2 = set(89);
gg_21_1_3 = set(90);
gg_21_2_3 = set(91);
gg_21_3_3 = set(92);
gg_21_4_3 = set(93);
gg_21_5_3 = set(94);
gg_21_1_4 = set(95);
gg_21_2_4 = set(96);
gg_21_3_4 = set(97);
gg_21_4_4 = set(98);
gg_21_5_4 = set(99);
gg_21_1_5 = set(100);
gg_21_2_5 = set(101);
gg_21_3_5 = set(102);
gg_21_4_5 = set(103);
gg_21_5_5 = set(104);
gg_22_1_1 = set(105);
gg_22_2_1 = set(106);
gg_22_3_1 = set(107);
gg_22_4_1 = set(108);
gg_22_5_1 = set(109);
gg_22_1_2 = set(110);
gg_22_2_2 = set(111);
gg_22_3_2 = set(112);
gg_22_4_2 = set(113);
gg_22_5_2 = set(114);
gg_22_1_3 = set(115);
gg_22_2_3 = set(116);
gg_22_3_3 = set(117);
gg_22_4_3 = set(118);
gg_22_5_3 = set(119);
gg_22_1_4 = set(120);
gg_22_2_4 = set(121);
gg_22_3_4 = set(122);
gg_22_4_4 = set(123);
gg_22_5_4 = set(124);
gg_22_1_5 = set(125);
gg_22_2_5 = set(126);
gg_22_3_5 = set(127);
gg_22_4_5 = set(128);
gg_22_5_5 = set(129);
gg_23_1_1 = set(130);
gg_23_2_1 = set(131);
gg_23_3_1 = set(132);
gg_23_4_1 = set(133);
gg_23_5_1 = set(134);
gg_23_1_2 = set(135);
gg_23_2_2 = set(136);
gg_23_3_2 = set(137);
gg_23_4_2 = set(138);
gg_23_5_2 = set(139);
gg_24_1_1 = set(140);
gg_24_2_1 = set(141);
gg_24_3_1 = set(142);
gg_24_4_1 = set(143);
gg_24_5_1 = set(144);
gg_24_1_2 = set(145);
gg_24_2_2 = set(146);
gg_24_3_2 = set(147);
gg_24_4_2 = set(148);
gg_24_5_2 = set(149);
gg_24_1_3 = set(150);
gg_24_2_3 = set(151);
gg_24_3_3 = set(152);
gg_24_4_3 = set(153);
gg_24_5_3 = set(154);
gg_24_1_4 = set(155);
gg_24_2_4 = set(156);
gg_24_3_4 = set(157);
gg_24_4_4 = set(158);
gg_24_5_4 = set(159);
gg_24_1_5 = set(160);
gg_24_2_5 = set(161);
gg_24_3_5 = set(162);
gg_24_4_5 = set(163);
gg_24_5_5 = set(164);
gg_25_1_1 = set(165);
gg_25_2_1 = set(166);
gg_25_3_1 = set(167);
gg_25_4_1 = set(168);
gg_25_5_1 = set(169);
gg_25_1_2 = set(170);
gg_25_2_2 = set(171);
gg_25_3_2 = set(172);
gg_25_4_2 = set(173);
gg_25_5_2 = set(174);
gg_25_1_3 = set(175);
gg_25_2_3 = set(176);
gg_25_3_3 = set(177);
gg_25_4_3 = set(178);
gg_25_5_3 = set(179);
gg_25_1_4 = set(180);
gg_25_2_4 = set(181);
gg_25_3_4 = set(182);
gg_25_4_4 = set(183);
gg_25_5_4 = set(184);
gg_25_1_5 = set(185);
gg_25_2_5 = set(186);
gg_25_3_5 = set(187);
gg_25_4_5 = set(188);
gg_25_5_5 = set(189);
gx_1_1 = set(190);
gx_2_1 = set(191);
gx_3_1 = set(192);
gx_4_1 = set(193);
gx_5_1 = set(194);
gx_6_1 = set(195);
gx_7_1 = set(196);
gx_8_1 = set(197);
gx_1_2 = set(198);
gx_2_2 = set(199);
gx_3_2 = set(200);
gx_4_2 = set(201);
gx_5_2 = set(202);
gx_6_2 = set(203);
gx_7_2 = set(204);
gx_8_2 = set(205);
gx_1_3 = set(206);
gx_2_3 = set(207);
gx_3_3 = set(208);
gx_4_3 = set(209);
gx_5_3 = set(210);
gx_6_3 = set(211);
gx_7_3 = set(212);
gx_8_3 = set(213);
gx_1_4 = set(214);
gx_2_4 = set(215);
gx_3_4 = set(216);
gx_4_4 = set(217);
gx_5_4 = set(218);
gx_6_4 = set(219);
gx_7_4 = set(220);
gx_8_4 = set(221);
gx_1_5 = set(222);
gx_2_5 = set(223);
gx_3_5 = set(224);
gx_4_5 = set(225);
gx_5_5 = set(226);
gx_6_5 = set(227);
gx_7_5 = set(228);
gx_8_5 = set(229);
gx_1_6 = set(230);
gx_2_6 = set(231);
gx_3_6 = set(232);
gx_4_6 = set(233);
gx_5_6 = set(234);
gx_6_6 = set(235);
gx_7_6 = set(236);
gx_8_6 = set(237);
gx_1_7 = set(238);
gx_2_7 = set(239);
gx_3_7 = set(240);
gx_4_7 = set(241);
gx_5_7 = set(242);
gx_6_7 = set(243);
gx_7_7 = set(244);
gx_8_7 = set(245);
gx_1_8 = set(246);
gx_2_8 = set(247);
gx_3_8 = set(248);
gx_4_8 = set(249);
gx_5_8 = set(250);
gx_6_8 = set(251);
gx_7_8 = set(252);
gx_8_8 = set(253);
gx_1_9 = set(254);
gx_2_9 = set(255);
gx_3_9 = set(256);
gx_4_9 = set(257);
gx_5_9 = set(258);
gx_6_9 = set(259);
gx_7_9 = set(260);
gx_8_9 = set(261);
gx_1_10 = set(262);
gx_2_10 = set(263);
gx_3_10 = set(264);
gx_4_10 = set(265);
gx_5_10 = set(266);
gx_6_10 = set(267);
gx_7_10 = set(268);
gx_8_10 = set(269);
gx_1_11 = set(270);
gx_2_11 = set(271);
gx_3_11 = set(272);
gx_4_11 = set(273);
gx_5_11 = set(274);
gx_6_11 = set(275);
gx_7_11 = set(276);
gx_8_11 = set(277);
gx_1_12 = set(278);
gx_2_12 = set(279);
gx_3_12 = set(280);
gx_4_12 = set(281);
gx_5_12 = set(282);
gx_6_12 = set(283);
gx_7_12 = set(284);
gx_8_12 = set(285);
gx_1_13 = set(286);
gx_2_13 = set(287);
gx_3_13 = set(288);
gx_4_13 = set(289);
gx_5_13 = set(290);
gx_6_13 = set(291);
gx_7_13 = set(292);
gx_8_13 = set(293);
gx_1_14 = set(294);
gx_2_14 = set(295);
gx_3_14 = set(296);
gx_4_14 = set(297);
gx_5_14 = set(298);
gx_6_14 = set(299);
gx_7_14 = set(300);
gx_8_14 = set(301);
gx_1_15 = set(302);
gx_2_15 = set(303);
gx_3_15 = set(304);
gx_4_15 = set(305);
gx_5_15 = set(306);
gx_6_15 = set(307);
gx_7_15 = set(308);
gx_8_15 = set(309);
gx_1_16 = set(310);
gx_2_16 = set(311);
gx_3_16 = set(312);
gx_4_16 = set(313);
gx_5_16 = set(314);
gx_6_16 = set(315);
gx_7_16 = set(316);
gx_8_16 = set(317);
gx_1_17 = set(318);
gx_2_17 = set(319);
gx_3_17 = set(320);
gx_4_17 = set(321);
gx_5_17 = set(322);
gx_6_17 = set(323);
gx_7_17 = set(324);
gx_8_17 = set(325);
gx_1_18 = set(326);
gx_2_18 = set(327);
gx_3_18 = set(328);
gx_4_18 = set(329);
gx_5_18 = set(330);
gx_6_18 = set(331);
gx_7_18 = set(332);
gx_8_18 = set(333);
gx_1_19 = set(334);
gx_2_19 = set(335);
gx_3_19 = set(336);
gx_4_19 = set(337);
gx_5_19 = set(338);
gx_6_19 = set(339);
gx_7_19 = set(340);
gx_8_19 = set(341);
gx_1_20 = set(342);
gx_2_20 = set(343);
gx_3_20 = set(344);
gx_4_20 = set(345);
gx_5_20 = set(346);
gx_6_20 = set(347);
gx_7_20 = set(348);
gx_8_20 = set(349);
gx_1_21 = set(350);
gx_2_21 = set(351);
gx_3_21 = set(352);
gx_4_21 = set(353);
gx_5_21 = set(354);
gx_6_21 = set(355);
gx_7_21 = set(356);
gx_8_21 = set(357);
gx_1_22 = set(358);
gx_2_22 = set(359);
gx_3_22 = set(360);
gx_4_22 = set(361);
gx_5_22 = set(362);
gx_6_22 = set(363);
gx_7_22 = set(364);
gx_8_22 = set(365);
gx_1_23 = set(366);
gx_2_23 = set(367);
gx_3_23 = set(368);
gx_4_23 = set(369);
gx_5_23 = set(370);
gx_6_23 = set(371);
gx_7_23 = set(372);
gx_8_23 = set(373);
gx_1_24 = set(374);
gx_2_24 = set(375);
gx_3_24 = set(376);
gx_4_24 = set(377);
gx_5_24 = set(378);
gx_6_24 = set(379);
gx_7_24 = set(380);
gx_8_24 = set(381);
gx_1_25 = set(382);
gx_2_25 = set(383);
gx_3_25 = set(384);
gx_4_25 = set(385);
gx_5_25 = set(386);
gx_6_25 = set(387);
gx_7_25 = set(388);
gx_8_25 = set(389);
gx_1_26 = set(390);
gx_2_26 = set(391);
gx_3_26 = set(392);
gx_4_26 = set(393);
gx_5_26 = set(394);
gx_6_26 = set(395);
gx_7_26 = set(396);
gx_8_26 = set(397);
gx_1_27 = set(398);
gx_2_27 = set(399);
gx_3_27 = set(400);
gx_4_27 = set(401);
gx_5_27 = set(402);
gx_6_27 = set(403);
gx_7_27 = set(404);
gx_8_27 = set(405);
gx_1_28 = set(406);
gx_2_28 = set(407);
gx_3_28 = set(408);
gx_4_28 = set(409);
gx_5_28 = set(410);
gx_6_28 = set(411);
gx_7_28 = set(412);
gx_8_28 = set(413);
gx_1_29 = set(414);
gx_2_29 = set(415);
gx_3_29 = set(416);
gx_4_29 = set(417);
gx_5_29 = set(418);
gx_6_29 = set(419);
gx_7_29 = set(420);
gx_8_29 = set(421);
gx_1_30 = set(422);
gx_2_30 = set(423);
gx_3_30 = set(424);
gx_4_30 = set(425);
gx_5_30 = set(426);
gx_6_30 = set(427);
gx_7_30 = set(428);
gx_8_30 = set(429);
gx_1_31 = set(430);
gx_2_31 = set(431);
gx_3_31 = set(432);
gx_4_31 = set(433);
gx_5_31 = set(434);
gx_6_31 = set(435);
gx_7_31 = set(436);
gx_8_31 = set(437);
gx_1_32 = set(438);
gx_2_32 = set(439);
gx_3_32 = set(440);
gx_4_32 = set(441);
gx_5_32 = set(442);
gx_6_32 = set(443);
gx_7_32 = set(444);
gx_8_32 = set(445);

%BEGIN_EXTRACT_HERE

kap = (1-thet*bet)*(1-thet)/thet;
kapw = (1-thetw*bet)*(1-thetw)/(thetw*(1+bet)*(1+zeta*(1+1/muw)));

% r = 1/(bet*gstar^(-1/(1-alph)));  %real rate
% REN = 1/(bet*gstar^(-1/(1-alph))) -1 + delt; %rental rate
% mc = (xi-1)/xi;
% kn = (REN/(mc*alph*gstar))^(1/(alph-1));
% 
% omeg = (1-bet*kapp*gstar^(1/(alph-1)))/(1-kapp*gstar^(1/(alph-1)));  %Coefficient defined in notes
% iy = (1-(1-delt)*gstar^(1/(alph-1)))/(gstar^(alph/(alph-1)))*kn^(1-alph);
% 
% n = ((1-iy-Gshr)/(omeg*mc*(1-alph)))^(-1/(1+1/etta));
% k = kn*n;
% y = gstar^(alph/(alph-1))*k^alph*n^(1-alph);
% c = y*omeg*mc*(1-alph)/(n^(1+1/etta));
% i = iy*y;
% g = Gshr*y;
% w = mc*(1-alph)*gstar^(alph/(alph-1))*k^alph*n^-alph;
% q = 1;
% lam = omeg/c;
% pii = 1;
% ir = r;
% mcbar = mc;
% ikbar = i/k*gstar^(1/(1-alph));
% irbar = ir;
% %Check RC, success!
% %y - c - i - g
% 
% e1 = lam;
% e2 = lam/r;
% e3 = 1;
% e4 = 1;
% 
% v = xi/(xi-1)*mc*y/(1-bet*thet*1^xi);
% pstar = ((1-thet*1^(xi-1))/(1-thet))^(1/(1-xi));
% d = (1-thet)*pstar^(-xi)/(1-thet*1^xi);
 zet =1/(1-psii);
 mu_p = 0.3000;  %where does this come in?
 RkP = 1/bet - (1-delt);
 WAP = ((alph^alph*(1-alph)^(1-alph)/(1+mu_p))*RkP^(-alph))^(1/(1-alph));
 KAN = (WAP/RkP)*(alph/(1-alph));
 IY = delt*(KAN)^(1-alph);
 RkKPY = RkP*KAN^(1-alph);






cybar = (1/zet-IY-RkKPY);
iybar = (IY);
rkpybar = RkKPY;

Xss  = [zeros(1,100)];
Yss  = [zeros(1,100)];

ss = [Yss Xss];

%END_EXTRACT_HERE
%Compute Steady State
KBAR= Xss(1);
CL= Xss(2);
IL= Xss(3);
IRL= Xss(4);
WL= Xss(5);
NL= Xss(6);
D= Xss(7);
MPT= Xss(8);
MWT= Xss(9);
G= Xss(10);
Q= Xss(11);
EPSP= Xss(12);
EPSW= Xss(13);
GDPL= Xss(14);
YDTL= Xss(15);
CDTL= Xss(16);
IDTL= Xss(17);
NDTL= Xss(18);
MU1= Xss(19);
GG= Xss(20);
MU1T= Xss(21);
GGT= Xss(22);
XX= Xss(23);
XXL= Xss(24);
XXLL= Xss(25);
V= Xss(26);
EV= Xss(27);
XXT= Xss(28);
XXLT= Xss(29);
XXLLT= Xss(30);
VT= Xss(31);
EVT= Xss(32);
DY= Yss(1);
DC= Yss(2);
DI= Yss(3);
DW= Yss(4);
DN= Yss(5);
PI= Yss(6);
C= Yss(7);
I= Yss(8);
GDP= Yss(9);
N= Yss(10);
K= Yss(11);
U= Yss(12);
LAM= Yss(13);
PHI= Yss(14);
RK= Yss(15);
W= Yss(16);
M= Yss(17);
IR= Yss(18);
DA= Yss(19);
SIGNAL= Yss(20);
CPT= Yss(21);
DAPT= Yss(22);
LAMPT= Yss(23);
PIPT= Yss(24);
PHIPT= Yss(25);
RKPT= Yss(26);
IPT= Yss(27);
WPT= Yss(28);
DX= Yss(29);
YDT= Yss(30);
CDT= Yss(31);
IDT= Yss(32);
NDT= Yss(33);
KBAR_p= Xss(1);
CL_p= Xss(2);
IL_p= Xss(3);
IRL_p= Xss(4);
WL_p= Xss(5);
NL_p= Xss(6);
D_p= Xss(7);
MPT_p= Xss(8);
MWT_p= Xss(9);
G_p= Xss(10);
Q_p= Xss(11);
EPSP_p= Xss(12);
EPSW_p= Xss(13);
GDPL_p= Xss(14);
YDTL_p= Xss(15);
CDTL_p= Xss(16);
IDTL_p= Xss(17);
NDTL_p= Xss(18);
MU1_p= Xss(19);
GG_p= Xss(20);
MU1T_p= Xss(21);
GGT_p= Xss(22);
XX_p= Xss(23);
XXL_p= Xss(24);
XXLL_p= Xss(25);
V_p= Xss(26);
EV_p= Xss(27);
XXT_p= Xss(28);
XXLT_p= Xss(29);
XXLLT_p= Xss(30);
VT_p= Xss(31);
EVT_p= Xss(32);
DY_p= Yss(1);
DC_p= Yss(2);
DI_p= Yss(3);
DW_p= Yss(4);
DN_p= Yss(5);
PI_p= Yss(6);
C_p= Yss(7);
I_p= Yss(8);
GDP_p= Yss(9);
N_p= Yss(10);
K_p= Yss(11);
U_p= Yss(12);
LAM_p= Yss(13);
PHI_p= Yss(14);
RK_p= Yss(15);
W_p= Yss(16);
M_p= Yss(17);
IR_p= Yss(18);
DA_p= Yss(19);
SIGNAL_p= Yss(20);
CPT_p= Yss(21);
DAPT_p= Yss(22);
LAMPT_p= Yss(23);
PIPT_p= Yss(24);
PHIPT_p= Yss(25);
RKPT_p= Yss(26);
IPT_p= Yss(27);
WPT_p= Yss(28);
DX_p= Yss(29);
YDT_p= Yss(30);
CDT_p= Yss(31);
IDT_p= Yss(32);
NDT_p= Yss(33);

%Evaluate F.
f = [[C*(bet*h^2 + GAM^2) - CL*GAM*h + DA*GAM*h + LAM*(GAM - h)*(GAM - bet*h) - CPT*GAM*bet*h - DAPT*GAM*bet*h, DAPT - IR + LAM - LAMPT + PIPT, PHI - ((bet*(delt - 1))/GAM + 1)*(LAMPT - DAPT + RKPT) - (bet*(DAPT - PHIPT)*(delt - 1))/GAM, LAM - D - PHI + GAM^2*chi*(DA - IL + I) - GAM^2*bet*chi*(DAPT + IPT - I), RK - U*xi, M - RK*alph + W*(alph - 1), K - N + RK - W, DA + K - KBAR - U, KBAR_p - ((delt - 1)/GAM + 1)*(D + I) - ((DA - KBAR)*(delt - 1))/GAM, GDP - K*alph + N*(alph - 1), G*(psii - 1) - I*iybar - U*rkpybar - C*cybar - GDP*(psii - 1), PI - MPT - PIPT*bet - M*kap, W - MWT + (DA + PI)/(bet + 1) - WL/(bet + 1) + kapw*(LAM + W - N*zeta) - (WPT*bet)/(bet + 1) - (bet*(DAPT + PIPT))/(bet + 1), IR - Q - IRL*rhor + (rhor - 1)*(DY*gamy2 + GDP*gamy + PI*gampi), CPT - C_p*fullm + (~fullm)*(-CDTL*gx_1_16) + (~fullm)*(-CL*gx_1_2) + (~fullm)*(-D*gx_1_7) + (~fullm)*(-EPSP*gx_1_12) + (~fullm)*(-EPSW*gx_1_13) + (~fullm)*(-EV*gx_1_27) + (~fullm)*(-EVT*gx_1_32) + (~fullm)*(-G*gx_1_10) + (~fullm)*(-GDPL*gx_1_14) + (~fullm)*(-GG*gx_1_20) + (~fullm)*(-GGT*gx_1_22) + (~fullm)*(-IDTL*gx_1_17) + (~fullm)*(-IL*gx_1_3) + (~fullm)*(-IRL*gx_1_4) + (~fullm)*(-KBAR*gx_1_1) + (~fullm)*(-MPT*gx_1_8) + (~fullm)*(-MU1*gx_1_19) + (~fullm)*(-MU1T*gx_1_21) + (~fullm)*(-MWT*gx_1_9) + (~fullm)*(-NDTL*gx_1_18) + (~fullm)*(-NL*gx_1_6) + (~fullm)*(-Q*gx_1_11) + (~fullm)*(-V*gx_1_26) + (~fullm)*(-VT*gx_1_31) + (~fullm)*(-WL*gx_1_5) + (~fullm)*(-XX*gx_1_23) + (~fullm)*(-XXL*gx_1_24) + (~fullm)*(-XXLL*gx_1_25) + (~fullm)*(-XXLT*gx_1_29) + (~fullm)*(-XXLLT*gx_1_30) + (~fullm)*(-XXT*gx_1_28) + (~fullm)*(-YDTL*gx_1_15), DAPT - DA_p*fullm + (~fullm)*(-CDTL*gx_2_16) + (~fullm)*(-CL*gx_2_2) + (~fullm)*(-D*gx_2_7) + (~fullm)*(-EPSP*gx_2_12) + (~fullm)*(-EPSW*gx_2_13) + (~fullm)*(-EV*gx_2_27) + (~fullm)*(-EVT*gx_2_32) + (~fullm)*(-G*gx_2_10) + (~fullm)*(-GDPL*gx_2_14) + (~fullm)*(-GG*gx_2_20) + (~fullm)*(-GGT*gx_2_22) + (~fullm)*(-IDTL*gx_2_17) + (~fullm)*(-IL*gx_2_3) + (~fullm)*(-IRL*gx_2_4) + (~fullm)*(-KBAR*gx_2_1) + (~fullm)*(-MPT*gx_2_8) + (~fullm)*(-MU1*gx_2_19) + (~fullm)*(-MU1T*gx_2_21) + (~fullm)*(-MWT*gx_2_9) + (~fullm)*(-NDTL*gx_2_18) + (~fullm)*(-NL*gx_2_6) + (~fullm)*(-Q*gx_2_11) + (~fullm)*(-V*gx_2_26) + (~fullm)*(-VT*gx_2_31) + (~fullm)*(-WL*gx_2_5) + (~fullm)*(-XX*gx_2_23) + (~fullm)*(-XXL*gx_2_24) + (~fullm)*(-XXLL*gx_2_25) + (~fullm)*(-XXLT*gx_2_29) + (~fullm)*(-XXLLT*gx_2_30) + (~fullm)*(-XXT*gx_2_28) + (~fullm)*(-YDTL*gx_2_15), LAMPT - LAM_p*fullm + (~fullm)*(-CDTL*gx_3_16) + (~fullm)*(-CL*gx_3_2) + (~fullm)*(-D*gx_3_7) + (~fullm)*(-EPSP*gx_3_12) + (~fullm)*(-EPSW*gx_3_13) + (~fullm)*(-EV*gx_3_27) + (~fullm)*(-EVT*gx_3_32) + (~fullm)*(-G*gx_3_10) + (~fullm)*(-GDPL*gx_3_14) + (~fullm)*(-GG*gx_3_20) + (~fullm)*(-GGT*gx_3_22) + (~fullm)*(-IDTL*gx_3_17) + (~fullm)*(-IL*gx_3_3) + (~fullm)*(-IRL*gx_3_4) + (~fullm)*(-KBAR*gx_3_1) + (~fullm)*(-MPT*gx_3_8) + (~fullm)*(-MU1*gx_3_19) + (~fullm)*(-MU1T*gx_3_21) + (~fullm)*(-MWT*gx_3_9) + (~fullm)*(-NDTL*gx_3_18) + (~fullm)*(-NL*gx_3_6) + (~fullm)*(-Q*gx_3_11) + (~fullm)*(-V*gx_3_26) + (~fullm)*(-VT*gx_3_31) + (~fullm)*(-WL*gx_3_5) + (~fullm)*(-XX*gx_3_23) + (~fullm)*(-XXL*gx_3_24) + (~fullm)*(-XXLL*gx_3_25) + (~fullm)*(-XXLT*gx_3_29) + (~fullm)*(-XXLLT*gx_3_30) + (~fullm)*(-XXT*gx_3_28) + (~fullm)*(-YDTL*gx_3_15), PIPT - PI_p*fullm + (~fullm)*(-CDTL*gx_4_16) + (~fullm)*(-CL*gx_4_2) + (~fullm)*(-D*gx_4_7) + (~fullm)*(-EPSP*gx_4_12) + (~fullm)*(-EPSW*gx_4_13) + (~fullm)*(-EV*gx_4_27) + (~fullm)*(-EVT*gx_4_32) + (~fullm)*(-G*gx_4_10) + (~fullm)*(-GDPL*gx_4_14) + (~fullm)*(-GG*gx_4_20) + (~fullm)*(-GGT*gx_4_22) + (~fullm)*(-IDTL*gx_4_17) + (~fullm)*(-IL*gx_4_3) + (~fullm)*(-IRL*gx_4_4) + (~fullm)*(-KBAR*gx_4_1) + (~fullm)*(-MPT*gx_4_8) + (~fullm)*(-MU1*gx_4_19) + (~fullm)*(-MU1T*gx_4_21) + (~fullm)*(-MWT*gx_4_9) + (~fullm)*(-NDTL*gx_4_18) + (~fullm)*(-NL*gx_4_6) + (~fullm)*(-Q*gx_4_11) + (~fullm)*(-V*gx_4_26) + (~fullm)*(-VT*gx_4_31) + (~fullm)*(-WL*gx_4_5) + (~fullm)*(-XX*gx_4_23) + (~fullm)*(-XXL*gx_4_24) + (~fullm)*(-XXLL*gx_4_25) + (~fullm)*(-XXLT*gx_4_29) + (~fullm)*(-XXLLT*gx_4_30) + (~fullm)*(-XXT*gx_4_28) + (~fullm)*(-YDTL*gx_4_15), PHIPT - PHI_p*fullm + (~fullm)*(-CDTL*gx_5_16) + (~fullm)*(-CL*gx_5_2) + (~fullm)*(-D*gx_5_7) + (~fullm)*(-EPSP*gx_5_12) + (~fullm)*(-EPSW*gx_5_13) + (~fullm)*(-EV*gx_5_27) + (~fullm)*(-EVT*gx_5_32) + (~fullm)*(-G*gx_5_10) + (~fullm)*(-GDPL*gx_5_14) + (~fullm)*(-GG*gx_5_20) + (~fullm)*(-GGT*gx_5_22) + (~fullm)*(-IDTL*gx_5_17) + (~fullm)*(-IL*gx_5_3) + (~fullm)*(-IRL*gx_5_4) + (~fullm)*(-KBAR*gx_5_1) + (~fullm)*(-MPT*gx_5_8) + (~fullm)*(-MU1*gx_5_19) + (~fullm)*(-MU1T*gx_5_21) + (~fullm)*(-MWT*gx_5_9) + (~fullm)*(-NDTL*gx_5_18) + (~fullm)*(-NL*gx_5_6) + (~fullm)*(-Q*gx_5_11) + (~fullm)*(-V*gx_5_26) + (~fullm)*(-VT*gx_5_31) + (~fullm)*(-WL*gx_5_5) + (~fullm)*(-XX*gx_5_23) + (~fullm)*(-XXL*gx_5_24) + (~fullm)*(-XXLL*gx_5_25) + (~fullm)*(-XXLT*gx_5_29) + (~fullm)*(-XXLLT*gx_5_30) + (~fullm)*(-XXT*gx_5_28) + (~fullm)*(-YDTL*gx_5_15), RKPT - RK_p*fullm + (~fullm)*(-CDTL*gx_6_16) + (~fullm)*(-CL*gx_6_2) + (~fullm)*(-D*gx_6_7) + (~fullm)*(-EPSP*gx_6_12) + (~fullm)*(-EPSW*gx_6_13) + (~fullm)*(-EV*gx_6_27) + (~fullm)*(-EVT*gx_6_32) + (~fullm)*(-G*gx_6_10) + (~fullm)*(-GDPL*gx_6_14) + (~fullm)*(-GG*gx_6_20) + (~fullm)*(-GGT*gx_6_22) + (~fullm)*(-IDTL*gx_6_17) + (~fullm)*(-IL*gx_6_3) + (~fullm)*(-IRL*gx_6_4) + (~fullm)*(-KBAR*gx_6_1) + (~fullm)*(-MPT*gx_6_8) + (~fullm)*(-MU1*gx_6_19) + (~fullm)*(-MU1T*gx_6_21) + (~fullm)*(-MWT*gx_6_9) + (~fullm)*(-NDTL*gx_6_18) + (~fullm)*(-NL*gx_6_6) + (~fullm)*(-Q*gx_6_11) + (~fullm)*(-V*gx_6_26) + (~fullm)*(-VT*gx_6_31) + (~fullm)*(-WL*gx_6_5) + (~fullm)*(-XX*gx_6_23) + (~fullm)*(-XXL*gx_6_24) + (~fullm)*(-XXLL*gx_6_25) + (~fullm)*(-XXLT*gx_6_29) + (~fullm)*(-XXLLT*gx_6_30) + (~fullm)*(-XXT*gx_6_28) + (~fullm)*(-YDTL*gx_6_15), IPT - I_p*fullm + (~fullm)*(-CDTL*gx_7_16) + (~fullm)*(-CL*gx_7_2) + (~fullm)*(-D*gx_7_7) + (~fullm)*(-EPSP*gx_7_12) + (~fullm)*(-EPSW*gx_7_13) + (~fullm)*(-EV*gx_7_27) + (~fullm)*(-EVT*gx_7_32) + (~fullm)*(-G*gx_7_10) + (~fullm)*(-GDPL*gx_7_14) + (~fullm)*(-GG*gx_7_20) + (~fullm)*(-GGT*gx_7_22) + (~fullm)*(-IDTL*gx_7_17) + (~fullm)*(-IL*gx_7_3) + (~fullm)*(-IRL*gx_7_4) + (~fullm)*(-KBAR*gx_7_1) + (~fullm)*(-MPT*gx_7_8) + (~fullm)*(-MU1*gx_7_19) + (~fullm)*(-MU1T*gx_7_21) + (~fullm)*(-MWT*gx_7_9) + (~fullm)*(-NDTL*gx_7_18) + (~fullm)*(-NL*gx_7_6) + (~fullm)*(-Q*gx_7_11) + (~fullm)*(-V*gx_7_26) + (~fullm)*(-VT*gx_7_31) + (~fullm)*(-WL*gx_7_5) + (~fullm)*(-XX*gx_7_23) + (~fullm)*(-XXL*gx_7_24) + (~fullm)*(-XXLL*gx_7_25) + (~fullm)*(-XXLT*gx_7_29) + (~fullm)*(-XXLLT*gx_7_30) + (~fullm)*(-XXT*gx_7_28) + (~fullm)*(-YDTL*gx_7_15), WPT - W_p*fullm + (~fullm)*(-CDTL*gx_8_16) + (~fullm)*(-CL*gx_8_2) + (~fullm)*(-D*gx_8_7) + (~fullm)*(-EPSP*gx_8_12) + (~fullm)*(-EPSW*gx_8_13) + (~fullm)*(-EV*gx_8_27) + (~fullm)*(-EVT*gx_8_32) + (~fullm)*(-G*gx_8_10) + (~fullm)*(-GDPL*gx_8_14) + (~fullm)*(-GG*gx_8_20) + (~fullm)*(-GGT*gx_8_22) + (~fullm)*(-IDTL*gx_8_17) + (~fullm)*(-IL*gx_8_3) + (~fullm)*(-IRL*gx_8_4) + (~fullm)*(-KBAR*gx_8_1) + (~fullm)*(-MPT*gx_8_8) + (~fullm)*(-MU1*gx_8_19) + (~fullm)*(-MU1T*gx_8_21) + (~fullm)*(-MWT*gx_8_9) + (~fullm)*(-NDTL*gx_8_18) + (~fullm)*(-NL*gx_8_6) + (~fullm)*(-Q*gx_8_11) + (~fullm)*(-V*gx_8_26) + (~fullm)*(-VT*gx_8_31) + (~fullm)*(-WL*gx_8_5) + (~fullm)*(-XX*gx_8_23) + (~fullm)*(-XXL*gx_8_24) + (~fullm)*(-XXLL*gx_8_25) + (~fullm)*(-XXLT*gx_8_29) + (~fullm)*(-XXLLT*gx_8_30) + (~fullm)*(-XXT*gx_8_28) + (~fullm)*(-YDTL*gx_8_15), D_p - D*rhod, MPT_p - EPSP*phip - MPT*rhop, MWT_p - EPSW*phiw - MWT*rhow, G_p - G*rhog, Q_p - Q*rhoq, EPSP_p, EPSW_p, DX - XX + XXL, MU1_p - GG*gg4_1_2 - MU1*gg4_1_1, GG_p - GG*gg4_2_2 - MU1*gg4_2_1, MU1T_p - GG*gg0_1_2 - GGT*gg1_1_2 - MU1*gg0_1_1 - MU1T*gg1_1_1, GGT_p - GG*gg0_2_2 - GGT*gg1_2_2 - MU1*gg0_2_1 - MU1T*gg1_2_1, XX_p - EV*gg_24_1_5 - V*gg_24_1_4 - XX*gg_24_1_1 - XXL*gg_24_1_2 - XXLL*gg_24_1_3, XXL_p - EV*gg_24_2_5 - V*gg_24_2_4 - XX*gg_24_2_1 - XXL*gg_24_2_2 - XXLL*gg_24_2_3, XXLL_p - EV*gg_24_3_5 - V*gg_24_3_4 - XX*gg_24_3_1 - XXL*gg_24_3_2 - XXLL*gg_24_3_3, V_p - EV*gg_24_4_5 - V*gg_24_4_4 - XX*gg_24_4_1 - XXL*gg_24_4_2 - XXLL*gg_24_4_3, EV_p - EV*gg_24_5_5 - V*gg_24_5_4 - XX*gg_24_5_1 - XXL*gg_24_5_2 - XXLL*gg_24_5_3, XXT_p - EV*gg_20_1_5 - EVT*gg_21_1_5 - V*gg_20_1_4 - VT*gg_21_1_4 - XX*gg_20_1_1 - XXL*gg_20_1_2 - XXLL*gg_20_1_3 - XXLT*gg_21_1_2 - XXLLT*gg_21_1_3 - XXT*gg_21_1_1, XXLT_p - EV*gg_20_2_5 - EVT*gg_21_2_5 - V*gg_20_2_4 - VT*gg_21_2_4 - XX*gg_20_2_1 - XXL*gg_20_2_2 - XXLL*gg_20_2_3 - XXLT*gg_21_2_2 - XXLLT*gg_21_2_3 - XXT*gg_21_2_1, XXLLT_p - EV*gg_20_3_5 - EVT*gg_21_3_5 - V*gg_20_3_4 - VT*gg_21_3_4 - XX*gg_20_3_1 - XXL*gg_20_3_2 - XXLL*gg_20_3_3 - XXLT*gg_21_3_2 - XXLLT*gg_21_3_3 - XXT*gg_21_3_1, VT_p - EV*gg_20_4_5 - EVT*gg_21_4_5 - V*gg_20_4_4 - VT*gg_21_4_4 - XX*gg_20_4_1 - XXL*gg_20_4_2 - XXLL*gg_20_4_3 - XXLT*gg_21_4_2 - XXLLT*gg_21_4_3 - XXT*gg_21_4_1, EVT_p - EV*gg_20_5_5 - EVT*gg_21_5_5 - V*gg_20_5_4 - VT*gg_21_5_4 - XX*gg_20_5_1 - XXL*gg_20_5_2 - XXLL*gg_20_5_3 - XXLT*gg_21_5_2 - XXLLT*gg_21_5_3 - XXT*gg_21_5_1, DA - MU1*bllinfo + (bllinfo - 1)*(XX*lam0 + XXL*lam1 + XXLL*lam2), SIGNAL - V - XXL, YDTL_p - YDT, YDT + (omeg - 1)*(DY + YDTL), CDTL_p - CDT, CDT + (omeg - 1)*(CDTL + DC), IDTL_p - IDT, IDT + (omeg - 1)*(DI + IDTL), NDTL_p - NDT, NDT + (omeg - 1)*(DN + NDTL), CL_p - C, IRL_p - IR, IL_p - I, WL_p - W, NL_p - N, GDPL_p - GDP, DY - DA - GDP + GDPL, CL - C - DA + DC, DI - DA + IL - I, DW - DA - W + WL, DN - N + NL]];
%Evaluate derivative expressions.
fx = [[0, -GAM*h, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, -GAM^2*chi, 0, 0, 0, -1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [-1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [(delt - 1)/GAM, 0, 0, 0, 0, 0, - (delt - 1)/GAM - 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, psii - 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, -1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, -1/(bet + 1), 0, 0, 0, -1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, -rhor, 0, 0, 0, 0, 0, 0, -1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [(~fullm)*(-gx_1_1), (~fullm)*(-gx_1_2), (~fullm)*(-gx_1_3), (~fullm)*(-gx_1_4), (~fullm)*(-gx_1_5), (~fullm)*(-gx_1_6), (~fullm)*(-gx_1_7), (~fullm)*(-gx_1_8), (~fullm)*(-gx_1_9), (~fullm)*(-gx_1_10), (~fullm)*(-gx_1_11), (~fullm)*(-gx_1_12), (~fullm)*(-gx_1_13), (~fullm)*(-gx_1_14), (~fullm)*(-gx_1_15), (~fullm)*(-gx_1_16), (~fullm)*(-gx_1_17), (~fullm)*(-gx_1_18), (~fullm)*(-gx_1_19), (~fullm)*(-gx_1_20), (~fullm)*(-gx_1_21), (~fullm)*(-gx_1_22), (~fullm)*(-gx_1_23), (~fullm)*(-gx_1_24), (~fullm)*(-gx_1_25), (~fullm)*(-gx_1_26), (~fullm)*(-gx_1_27), (~fullm)*(-gx_1_28), (~fullm)*(-gx_1_29), (~fullm)*(-gx_1_30), (~fullm)*(-gx_1_31), (~fullm)*(-gx_1_32)]; [(~fullm)*(-gx_2_1), (~fullm)*(-gx_2_2), (~fullm)*(-gx_2_3), (~fullm)*(-gx_2_4), (~fullm)*(-gx_2_5), (~fullm)*(-gx_2_6), (~fullm)*(-gx_2_7), (~fullm)*(-gx_2_8), (~fullm)*(-gx_2_9), (~fullm)*(-gx_2_10), (~fullm)*(-gx_2_11), (~fullm)*(-gx_2_12), (~fullm)*(-gx_2_13), (~fullm)*(-gx_2_14), (~fullm)*(-gx_2_15), (~fullm)*(-gx_2_16), (~fullm)*(-gx_2_17), (~fullm)*(-gx_2_18), (~fullm)*(-gx_2_19), (~fullm)*(-gx_2_20), (~fullm)*(-gx_2_21), (~fullm)*(-gx_2_22), (~fullm)*(-gx_2_23), (~fullm)*(-gx_2_24), (~fullm)*(-gx_2_25), (~fullm)*(-gx_2_26), (~fullm)*(-gx_2_27), (~fullm)*(-gx_2_28), (~fullm)*(-gx_2_29), (~fullm)*(-gx_2_30), (~fullm)*(-gx_2_31), (~fullm)*(-gx_2_32)]; [(~fullm)*(-gx_3_1), (~fullm)*(-gx_3_2), (~fullm)*(-gx_3_3), (~fullm)*(-gx_3_4), (~fullm)*(-gx_3_5), (~fullm)*(-gx_3_6), (~fullm)*(-gx_3_7), (~fullm)*(-gx_3_8), (~fullm)*(-gx_3_9), (~fullm)*(-gx_3_10), (~fullm)*(-gx_3_11), (~fullm)*(-gx_3_12), (~fullm)*(-gx_3_13), (~fullm)*(-gx_3_14), (~fullm)*(-gx_3_15), (~fullm)*(-gx_3_16), (~fullm)*(-gx_3_17), (~fullm)*(-gx_3_18), (~fullm)*(-gx_3_19), (~fullm)*(-gx_3_20), (~fullm)*(-gx_3_21), (~fullm)*(-gx_3_22), (~fullm)*(-gx_3_23), (~fullm)*(-gx_3_24), (~fullm)*(-gx_3_25), (~fullm)*(-gx_3_26), (~fullm)*(-gx_3_27), (~fullm)*(-gx_3_28), (~fullm)*(-gx_3_29), (~fullm)*(-gx_3_30), (~fullm)*(-gx_3_31), (~fullm)*(-gx_3_32)]; [(~fullm)*(-gx_4_1), (~fullm)*(-gx_4_2), (~fullm)*(-gx_4_3), (~fullm)*(-gx_4_4), (~fullm)*(-gx_4_5), (~fullm)*(-gx_4_6), (~fullm)*(-gx_4_7), (~fullm)*(-gx_4_8), (~fullm)*(-gx_4_9), (~fullm)*(-gx_4_10), (~fullm)*(-gx_4_11), (~fullm)*(-gx_4_12), (~fullm)*(-gx_4_13), (~fullm)*(-gx_4_14), (~fullm)*(-gx_4_15), (~fullm)*(-gx_4_16), (~fullm)*(-gx_4_17), (~fullm)*(-gx_4_18), (~fullm)*(-gx_4_19), (~fullm)*(-gx_4_20), (~fullm)*(-gx_4_21), (~fullm)*(-gx_4_22), (~fullm)*(-gx_4_23), (~fullm)*(-gx_4_24), (~fullm)*(-gx_4_25), (~fullm)*(-gx_4_26), (~fullm)*(-gx_4_27), (~fullm)*(-gx_4_28), (~fullm)*(-gx_4_29), (~fullm)*(-gx_4_30), (~fullm)*(-gx_4_31), (~fullm)*(-gx_4_32)]; [(~fullm)*(-gx_5_1), (~fullm)*(-gx_5_2), (~fullm)*(-gx_5_3), (~fullm)*(-gx_5_4), (~fullm)*(-gx_5_5), (~fullm)*(-gx_5_6), (~fullm)*(-gx_5_7), (~fullm)*(-gx_5_8), (~fullm)*(-gx_5_9), (~fullm)*(-gx_5_10), (~fullm)*(-gx_5_11), (~fullm)*(-gx_5_12), (~fullm)*(-gx_5_13), (~fullm)*(-gx_5_14), (~fullm)*(-gx_5_15), (~fullm)*(-gx_5_16), (~fullm)*(-gx_5_17), (~fullm)*(-gx_5_18), (~fullm)*(-gx_5_19), (~fullm)*(-gx_5_20), (~fullm)*(-gx_5_21), (~fullm)*(-gx_5_22), (~fullm)*(-gx_5_23), (~fullm)*(-gx_5_24), (~fullm)*(-gx_5_25), (~fullm)*(-gx_5_26), (~fullm)*(-gx_5_27), (~fullm)*(-gx_5_28), (~fullm)*(-gx_5_29), (~fullm)*(-gx_5_30), (~fullm)*(-gx_5_31), (~fullm)*(-gx_5_32)]; [(~fullm)*(-gx_6_1), (~fullm)*(-gx_6_2), (~fullm)*(-gx_6_3), (~fullm)*(-gx_6_4), (~fullm)*(-gx_6_5), (~fullm)*(-gx_6_6), (~fullm)*(-gx_6_7), (~fullm)*(-gx_6_8), (~fullm)*(-gx_6_9), (~fullm)*(-gx_6_10), (~fullm)*(-gx_6_11), (~fullm)*(-gx_6_12), (~fullm)*(-gx_6_13), (~fullm)*(-gx_6_14), (~fullm)*(-gx_6_15), (~fullm)*(-gx_6_16), (~fullm)*(-gx_6_17), (~fullm)*(-gx_6_18), (~fullm)*(-gx_6_19), (~fullm)*(-gx_6_20), (~fullm)*(-gx_6_21), (~fullm)*(-gx_6_22), (~fullm)*(-gx_6_23), (~fullm)*(-gx_6_24), (~fullm)*(-gx_6_25), (~fullm)*(-gx_6_26), (~fullm)*(-gx_6_27), (~fullm)*(-gx_6_28), (~fullm)*(-gx_6_29), (~fullm)*(-gx_6_30), (~fullm)*(-gx_6_31), (~fullm)*(-gx_6_32)]; [(~fullm)*(-gx_7_1), (~fullm)*(-gx_7_2), (~fullm)*(-gx_7_3), (~fullm)*(-gx_7_4), (~fullm)*(-gx_7_5), (~fullm)*(-gx_7_6), (~fullm)*(-gx_7_7), (~fullm)*(-gx_7_8), (~fullm)*(-gx_7_9), (~fullm)*(-gx_7_10), (~fullm)*(-gx_7_11), (~fullm)*(-gx_7_12), (~fullm)*(-gx_7_13), (~fullm)*(-gx_7_14), (~fullm)*(-gx_7_15), (~fullm)*(-gx_7_16), (~fullm)*(-gx_7_17), (~fullm)*(-gx_7_18), (~fullm)*(-gx_7_19), (~fullm)*(-gx_7_20), (~fullm)*(-gx_7_21), (~fullm)*(-gx_7_22), (~fullm)*(-gx_7_23), (~fullm)*(-gx_7_24), (~fullm)*(-gx_7_25), (~fullm)*(-gx_7_26), (~fullm)*(-gx_7_27), (~fullm)*(-gx_7_28), (~fullm)*(-gx_7_29), (~fullm)*(-gx_7_30), (~fullm)*(-gx_7_31), (~fullm)*(-gx_7_32)]; [(~fullm)*(-gx_8_1), (~fullm)*(-gx_8_2), (~fullm)*(-gx_8_3), (~fullm)*(-gx_8_4), (~fullm)*(-gx_8_5), (~fullm)*(-gx_8_6), (~fullm)*(-gx_8_7), (~fullm)*(-gx_8_8), (~fullm)*(-gx_8_9), (~fullm)*(-gx_8_10), (~fullm)*(-gx_8_11), (~fullm)*(-gx_8_12), (~fullm)*(-gx_8_13), (~fullm)*(-gx_8_14), (~fullm)*(-gx_8_15), (~fullm)*(-gx_8_16), (~fullm)*(-gx_8_17), (~fullm)*(-gx_8_18), (~fullm)*(-gx_8_19), (~fullm)*(-gx_8_20), (~fullm)*(-gx_8_21), (~fullm)*(-gx_8_22), (~fullm)*(-gx_8_23), (~fullm)*(-gx_8_24), (~fullm)*(-gx_8_25), (~fullm)*(-gx_8_26), (~fullm)*(-gx_8_27), (~fullm)*(-gx_8_28), (~fullm)*(-gx_8_29), (~fullm)*(-gx_8_30), (~fullm)*(-gx_8_31), (~fullm)*(-gx_8_32)]; [0, 0, 0, 0, 0, 0, -rhod, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, -rhop, 0, 0, 0, -phip, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, -rhow, 0, 0, 0, -phiw, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, -rhog, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -rhoq, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -1, 1, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -gg4_1_1, -gg4_1_2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -gg4_2_1, -gg4_2_2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -gg0_1_1, -gg0_1_2, -gg1_1_1, -gg1_1_2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -gg0_2_1, -gg0_2_2, -gg1_2_1, -gg1_2_2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -gg_24_1_1, -gg_24_1_2, -gg_24_1_3, -gg_24_1_4, -gg_24_1_5, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -gg_24_2_1, -gg_24_2_2, -gg_24_2_3, -gg_24_2_4, -gg_24_2_5, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -gg_24_3_1, -gg_24_3_2, -gg_24_3_3, -gg_24_3_4, -gg_24_3_5, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -gg_24_4_1, -gg_24_4_2, -gg_24_4_3, -gg_24_4_4, -gg_24_4_5, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -gg_24_5_1, -gg_24_5_2, -gg_24_5_3, -gg_24_5_4, -gg_24_5_5, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -gg_20_1_1, -gg_20_1_2, -gg_20_1_3, -gg_20_1_4, -gg_20_1_5, -gg_21_1_1, -gg_21_1_2, -gg_21_1_3, -gg_21_1_4, -gg_21_1_5]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -gg_20_2_1, -gg_20_2_2, -gg_20_2_3, -gg_20_2_4, -gg_20_2_5, -gg_21_2_1, -gg_21_2_2, -gg_21_2_3, -gg_21_2_4, -gg_21_2_5]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -gg_20_3_1, -gg_20_3_2, -gg_20_3_3, -gg_20_3_4, -gg_20_3_5, -gg_21_3_1, -gg_21_3_2, -gg_21_3_3, -gg_21_3_4, -gg_21_3_5]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -gg_20_4_1, -gg_20_4_2, -gg_20_4_3, -gg_20_4_4, -gg_20_4_5, -gg_21_4_1, -gg_21_4_2, -gg_21_4_3, -gg_21_4_4, -gg_21_4_5]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -gg_20_5_1, -gg_20_5_2, -gg_20_5_3, -gg_20_5_4, -gg_20_5_5, -gg_21_5_1, -gg_21_5_2, -gg_21_5_3, -gg_21_5_4, -gg_21_5_5]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -bllinfo, 0, 0, 0, lam0*(bllinfo - 1), lam1*(bllinfo - 1), lam2*(bllinfo - 1), 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -1, 0, -1, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, omeg - 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, omeg - 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, omeg - 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, omeg - 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]];
fy = [[0, 0, 0, 0, 0, 0, bet*h^2 + GAM^2, 0, 0, 0, 0, 0, (GAM - h)*(GAM - bet*h), 0, 0, 0, 0, 0, GAM*h, 0, -GAM*bet*h, -GAM*bet*h, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, -1, 0, 0, 0, 1, -1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, - (bet*(delt - 1))/GAM - 1, 0, (bet*(delt - 1))/GAM, - (bet*(delt - 1))/GAM - 1, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, GAM^2*chi + GAM^2*bet*chi, 0, 0, 0, 0, 1, -1, 0, 0, 0, 0, GAM^2*chi, 0, 0, -GAM^2*bet*chi, 0, 0, 0, 0, -GAM^2*bet*chi, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -xi, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -alph, alph - 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, -1, 1, 0, 0, 0, 1, -1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, -1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, - (delt - 1)/GAM - 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -(delt - 1)/GAM, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 1, alph - 1, -alph, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, -cybar, -iybar, 1 - psii, 0, 0, -rkpybar, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -kap, 0, 0, 0, 0, 0, 0, -bet, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 1/(bet + 1), 0, 0, 0, -kapw*zeta, 0, 0, kapw, 0, 0, kapw + 1, 0, 0, 1/(bet + 1), 0, 0, -bet/(bet + 1), 0, -bet/(bet + 1), 0, 0, 0, -bet/(bet + 1), 0, 0, 0, 0, 0]; [gamy2*(rhor - 1), 0, 0, 0, 0, gampi*(rhor - 1), 0, 0, gamy*(rhor - 1), 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -1, 0, 0, 0]; [omeg - 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -1, 0, 0]; [0, omeg - 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -1, 0]; [0, 0, omeg - 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -1]; [0, 0, 0, 0, omeg - 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1]; [0, 0, 0, 0, 0, 0, -1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, -1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, -1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, -1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [1, 0, 0, 0, 0, 0, 0, 0, -1, 0, 0, 0, 0, 0, 0, 0, 0, 0, -1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 1, 0, 0, 0, 0, -1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 1, 0, 0, 0, 0, -1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -1, 0, 0, -1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 1, 0, 0, 0, 0, -1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]];
fxp = [[0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]];
fyp = [[0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, -fullm, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -fullm, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -fullm, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, -fullm, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -fullm, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -fullm, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, -fullm, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -fullm, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]];

eta = [[0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, sigd, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, sigp, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, sigw, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, sigg]; [0, 0, 0, 0, 0, 0, 0, 0, sigq, 0]; [0, 0, 0, 0, 0, 0, sigp, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, sigw, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, 0, 0, 0, 0, 0, 0, 0]; [gg5_1_2, gg5_1_1, 0, 0, 0, 0, 0, 0, 0, 0]; [gg5_2_2, gg5_2_1, 0, 0, 0, 0, 0, 0, 0, 0]; [gg2_1_2, gg2_1_1, gg3_1_2, 0, 0, 0, 0, 0, 0, 0]; [gg2_2_2, gg2_2_1, gg3_2_2, 0, 0, 0, 0, 0, 0, 0]; [0, 0, 0, gg_25_1_1, gg_25_1_4, 0, 0, 0, 0, 0]; [0, 0, 0, gg_25_2_1, gg_25_2_4, 0, 0, 0, 0, 0]; [0, 0, 0, gg_25_3_1, gg_25_3_4, 0, 0, 0, 0, 0]; [0, 0, 0, gg_25_4_1, gg_25_4_4, 0, 0, 0, 0, 0]; [0, 0, 0, gg_25_5_1, gg_25_5_4, 0, 0, 0, 0, 0]; [0, 0, 0, gg_22_1_1, gg_22_1_4, 0, 0, 0, 0, 0]; [0, 0, 0, gg_22_2_1, gg_22_2_4, 0, 0, 0, 0, 0]; [0, 0, 0, gg_22_3_1, gg_22_3_4, 0, 0, 0, 0, 0]; [0, 0, 0, gg_22_4_1, gg_22_4_4, 0, 0, 0, 0, 0]; [0, 0, 0, gg_22_5_1, gg_22_5_4, 0, 0, 0, 0, 0]];
R = [];
